# \nre\coreWebUtils

Class that holds several web-specific methods and properties.

## Summary

Methods
Properties
Constants
getHttpHeader()
$httpStrings
HTTP_FORBIDDEN
HTTP_NOT_FOUND
HTTP_SERVICE_UNAVAILABLE
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  core/WebUtils.inc
Package
  Default
Class hierarchy
  \nre\core\WebUtils

## Tags

author | coderkun olli@coderkun.de

## Constants

### HTTP_FORBIDDEN

    HTTP_FORBIDDEN

HTTP-statuscode 403: Forbidden

#

## Tags

None found

### HTTP_NOT_FOUND

    HTTP_NOT_FOUND

HTTP-statuscode 404: Not Found

#

## Tags

None found

### HTTP_SERVICE_UNAVAILABLE

    HTTP_SERVICE_UNAVAILABLE

HTTP-statuscode 503: Service Unavailable

#

## Tags

None found

## Properties

### $httpStrings

    $httpStrings : array

HTTP-header strings

#### Type

array

#

## Tags

None found

## Methods

### getHttpHeader()

    getHttpHeader(integer  $httpStatusCode) : string

Get the HTTP-header of a HTTP-statuscode

#### Parameters

integer | $httpStatusCode | HTTP-statuscode

#### Returns

string —

HTTP-header of HTTP-statuscode

#

static

## Tags

None found

### WebUtils.inc